ChiliProject - Bug # 967: Menu - Missing translations (French)

Status: Closed Priority: Normal
Author: Fabien D. Category: Translations
Created: 2012-04-05 Assignee:

Updated: 2012-05-20 Due date:

Remote issue URL:

Affected version: 3.1.0

Description: Hi,

I've upgraded all Chiliprojects from 3.0.0 to 3.10, i've noticed some missing translations (in french) in the left
menu sidebar.
Fabien

Associated revisions

2008-05-01 10:44 am - Jean-Philippe Lang

Add Redcloth's :block_markdown_rule to allow horizontal rules in wiki (#967).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1389 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-05-20 08:35 pm - SAGbastien Santoro
Improving French translation #967

History

2012-04-05 01:54 pm - Holger Just
- Target version deleted (3.2.0)

- Affected version set to 3.1.0

Thanks for your report. Unfortunately, we can't maintain all the languages that ChiliProject ships with ourselves. We rely on people speaking the

language to provide the correct translations.

Thus, you could help us with translating the missing bits. You can find all the translations in the file @config/locales/fr.yml@. The new (untranslated)

strings are among others at the very bottom of the file. You could help the project by translating all of these and of all the other languages you speak :)

2012-04-06 01:56 am - SA@bastien Santoro

- Status changed from Open to Ready for review

Good evening,

| updated config/locales/fr.yml and that solves partially your bug report.

Pull request: https://github.com/chiliproject/chiliproject/pull/181

Note: "Time entries" / "New time entry" / "Time entry report" doesn't seem to be handled by locales files.

2012-04-07 11:06 am - Fabien D.
Hi,
Thanks for your translations, you've been more quickly than me to submit your PR.
I'm agree with your *Note*, some items in the menu aren't handled by locale.

Fabien

2012-04-08 10:07 am - Felix Schafer

The time entries labels are implicit, they are @label_time_entries@, @label_new_time_entry@ and @label_time_entry report@.

2012-04-08 10:46 am - Fabien D.
Hi,

These entries aren't defined in the locales files. We need to add them (for all languages) and complete Sebastien PR
(https://github.com/chiliproject/chiliproject/pull/181), or make a new PR ?

Fabien

2012-04-08 10:58 am - SA@bastien Santoro

- Status changed from Ready for review to Open

Thank you Felix. It seems to work.

| will prepare submit the new locale files this evening.

2012-04-30 10:21 am - Fabien D.
Hi SA©@bastien,

Have you got a little time to complete your PR ? It would be nice as it may be integrated into the next release.
Fabien

2012-05-03 03:26 pm - Felix Schafer

Fabien D. wrote:

> These entries aren't defined in the locales files.

Yes, some translations are made implicitly.

> We need to add them (for all languages) and complete Sebastien PR (https://github.com/chiliproject/chiliproject/pull/181), or make a new PR ?

"New" keys should be added at least to english with the default/automatic translation, you don't need to add it to languages you can't translate though
as missing translations default to english.

Pull requests should not mix additional/new keys and the translation of existing ones, thanks.

2012-05-20 06:37 pm - Felix Schafer

- Status changed from Open to Closed

OK, merged in commit:375045a, please open a new ticket for more translations.

2012-05-20 06:37 pm - Felix Schafer
- Target version set to 3.2.0
